RELEASE=devel
MAKEFILE_TARGET=${MAKEDIST_TARGET}
KERNEL_ADDITIONAL="sound"

#COMPRESSEDFSSIZE=400000
#COMPRESSEDFSBLOCKSIZE=1k
#RPMEXTRAARGS="--excludedocs"
#DISKSLIST=""


[ $PLATFORM ] || {
   echo "Error: undefined platform; please specify a valid platform using PLATFORM=<name>"
   echo -n "Info: available platforms are: "
   ls $TARGETDIR/platforms/
   echo "Aborting."
   exit 1
}
      
[ -e $TARGETDIR/platforms/$PLATFORM ] || {
   echo "Error: missing platform $PLATFORM for target $MAKEDIST_TARGET; please specify a valid platform using PLATFORM=<name>. Aborting."
   exit 1
}

[ -e $TARGETDIR/platforms/$PLATFORM/settings.inc ] && \
   . $TARGETDIR/platforms/$PLATFORM/settings.inc
